package CustomizedCommentfilter::Comment;

use strict;
use Data::Dumper;

sub filter_comment {
    my($cb, $app, $entry) = @_;

    my $q = $app->param;

    return 0 unless $q->param('text');
    my $text = $q->param('text');

    return 0 unless $app->blog;
    my $blog_id = $app->blog->id;

    my $plugin = MT->component("CustomizedCommentfilter");
    my $filter = $plugin->get_config_value('filter', 'blog:'.$blog_id);
    my $log = $plugin->get_config_value('logout', 'blog:'.$blog_id);
    my @filter = split('\r?\n', $filter);

    for (@filter) {
        if ($text =~ /$_/) {
            if ($log) {
                $app->log($plugin->translate('filtered [_1]', $_));
            }
            return 0 ;
        }
    }
    return 1;
}

1;
